summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 63a5d32..98f6249 100755
--- a/build.sh
+++ b/build.sh
@@ -3,6 +3,12 @@ set -e
CCOPT=
CXXOPT=
+# error if devkitarm is not installed and binutils-arm-none-eabi is not installed
+if ! ([ -v DEVKITARM ] && [ -d "$DEVKITARM/bin" ]) && ! (command -v arm-none-eabi-as &> /dev/null && command -v arm-none-eabi-ar &> /dev/null) ; then
+ echo "Could not find a binutils installation! Re-read the instructions and make sure you've installed either devkitARM or binutils-arm-none-eabi, depending on your system."
+ exit 1
+fi
+
if [ ! -z "$CC" ]; then CCOPT=CC=$CC; fi
if [ ! -z "$CXX" ]; then CXXOPT=CXX=$CXX; fi
make -C gcc clean